import static org.junit.Assert.*;
import org.junit.Test;

/**
 * Testuje klasę Triangle.
 */
public class TriangleTest {

    /**
     * Testuje za pomocą nieprawidłowych danych.
     */
    @Test(expected = IllegalArgumentException.class)
    public void testCollinear() {
        // linia prosta wzdłuż osi X
        new Triangle(0, 0, 1, 0, 2, 0);
    }

    /**
     * Testuje metodę toString.
     */
    @Test
    public void testToString() {
        // trójkąt prostokątny z wierzchołkiem w początku układu współrzędnych i bokami o długościach 3, 4 i 5
        Triangle t = new Triangle(0, 0, 0, 3, 4, 0);
        assertEquals("Trójkąt[(0, 0), (0, 3), (4, 0)]", t.toString());
    }

}
